#!/bin/bash
## Copy this line ##
. $(dirname $(realpath $0))/../include.sh
## end


$mysqlcmd < $SCRIPTPATH/db.sql 2> /dev/null

cat > /etc/logrotate.d/statexplorer <<-"EOF"
/var/log/statexplorer.log 
/var/log/statexplorerexport.log {
    daily
    minsize 50M
    rotate 7
    missingok
    compress
    delaycompress
    notifempty
    postrotate
        touch /var/log/statexplorer.log
    endscript
}
EOF


MEMAVAIL=$(cat /proc/meminfo | grep MemAvailable | cut -d : -f 2 | xargs | cut -d ' ' -f 1)
POOLSIZE=$((MEMAVAIL/3*2))K
echo "Avail memory : $MEMAVAIL. Suggested innodb_buffer_pool_size : $POOLSIZE. "


if [ -d /etc/mysql/conf.d ]
then
cat > /etc/mysql/conf.d/z_statexplorer.cnf<<EOF
[mysqld]
innodb_buffer_pool_size = 128M
innodb_io_capacity = 2000
innodb_read_io_threads = 64
innodb_thread_concurrency = 0
innodb_write_io_threads = 64
EOF
fi

if [ -d /etc/my.cnf.d ]
then

cat > /etc/my.cnf.d/z_statexplorer.cnf<<EOF
[mysqld]
innodb_buffer_pool_size = 123M
innodb_io_capacity = 2000
innodb_read_io_threads = 64
innodb_thread_concurrency = 0
innodb_write_io_threads = 64
EOF
fi

. /etc/os-release
if [ "$ID" = "debian" ] && [ "$VERSION_ID" = "8" ]
then
echo "Restarting mysql"
systemctl restart mysql
else
echo "Restarting mariadb"
systemctl restart mariadb
fi


cnt=`cat /etc/statexplorer/Settings.php | grep GENERATE_DEBUG_DATA | wc -l`
if [ "$cnt" == "0" ]
then
  sed -i '/.*MIN_QUEUE_DURATION_FOR_ABANDON.*$/a public static $GENERATE_DEBUG_DATA = false;' /etc/statexplorer/Settings.php
fi
